//! Game Log
//!
//! Where the exploits of the current game are recorded
mod builder;
mod logstore;

use ::rltk::RGB;
use ::serde::{Deserialize, Serialize};
pub use builder::*;
use logstore::*;
pub use logstore::{clear_log, clone_log, log_display, restore_log};

/// A section of colored text for the game log
#[derive(Serialize, Deserialize, Clone)]
pub struct LogFragment {
    /// The color of the text
    pub color: RGB,
    /// The text fragment
    pub text: String,
}
